Skip to content

WhatsNewProposalController_update[0]

PATCH
/api/backoffice/whats-new/proposals/{id}
curl --request PATCH \
--url https://api.streams.chat/api/backoffice/whats-new/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "expectedRevision": 1, "operations": [ { "operation": "publish", "id": "example", "featureDate": "2026-04-15", "title": "example", "summary": "example" } ] }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
expectedRevision
required
integer
>= 1 <= 9007199254740991
operations
required
Array<object>
>= 1 items <= 20 items
One of:
object
operation
required
string
Allowed values: publish
id
required
string
<= 80 characters /^[a-z0-9]+(?:-[a-z0-9]+)*$/
featureDate
required
string format: date
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$/
title
required
string
summary
required
string